Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06650 Graphics Minor Always Aug 9, 2017, 13:49 Feb 13, 2021, 13:37
Tester M.A.S.H. View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver m58.cpp
Version 0.188 Fixed in Version 0.229 Build
Fixed in Git Commit Github Pull Request #
Summary 06650: 10yard: Misplaced graphics
Description License and copyright text are missing in attract mode (see Automat_10yard-1.png).
In the arcade the 5x player block stand at the 37 yard line (see Automat_10yard-2.png)
and in MAME at the 38 yard line (see MAME-188_10yard.png).

Arcade pictures from this YouTube Video: (link removed because the video has been deleted)
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.122u8
Affected Sets / Systems 10yard
Attached Files
png file icon Automat_10yard-1.png (227,694 bytes) Aug 9, 2017, 13:49 Uploaded by M.A.S.H.
M.A.S.H.
png file icon Automat_10yard-2.png (368,124 bytes) Aug 9, 2017, 13:49 Uploaded by M.A.S.H.
M.A.S.H.
png file icon MAME-188_10yard.png (7,016 bytes) Aug 9, 2017, 13:49 Uploaded by M.A.S.H.
M.A.S.H.
png file icon comparison.png (134,838 bytes) Oct 10, 2019, 23:49 Uploaded by MetalGod
MetalGod
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.14089
Haze
Senior Tester
Aug 9, 2017, 16:16
looks like all the sprites are misplaced.. I imagine this is a regression as it's rather obvious
User avatar
No.16908
john_iv
Senior Tester
Sep 13, 2019, 20:31
FYI I had some graphic corruption on the far right column / info area in black after I scored a throwing touchdown in the high school game. Perhaps related. 0.213 (mame0213-339-g9eed905eba)
User avatar
No.17061
MetalGod
Senior Tester
Oct 10, 2019, 23:12
john_iv, is this the bug you saw? 03085
It was already reported
User avatar
No.17062
MetalGod
Senior Tester
Oct 10, 2019, 23:31
edited on: Oct 11, 2019, 00:03
Regarding this report:
The positions of the defense block cpu players depend on the place where you were caught / tackled. That is not a bug. Or at least, not the proper way to demostrate the graphic misplacements.

Missing text in the title screen is a real bug. Regression is mame 0.122u8. Since that version, part of the bottom of the screen is missing.
- 0.122u8: Aaron Giles updated 10-Yard to use resnet for colors. Proper video timing. RansAckeR improved dipswitches according to manuals in 10-Yard Fight. Changed Z80 CPU1 clock speed to 3072000 Hz, visible area to 256x224 and VSync to 56.737589 Hz.
User avatar
No.17064
MetalGod
Senior Tester
Oct 10, 2019, 23:49
edited on: Oct 11, 2019, 00:30
I've uploaded a comparative file (comparison.png). It is the initial kick off. This shows very clearly the misplaced graphics of the football players and the ball in mame emulation.
The score screen was perfectly placed before mame 0.122u8. This can be checked by comparing the white field lines positions with the distance map at the score screen on the right. Compare before 0.122u8 and Arcade, the lines match perfectly with the score. They don't after mame 0.122u8

Reverting the screen to how it was before mame 0.122u8 would fix the title screen missing text and the score misplacement.
The football players and ball starting place is incorrect. This has never been right in MAME.
User avatar
No.17065
MetalGod
Senior Tester
Oct 10, 2019, 23:56
By the way, the arcade screenshot in comparison.png was taken from here:
User avatar
No.18462
M.A.S.H.
Senior Tester
Feb 13, 2021, 09:43
edited on: Feb 13, 2021, 09:44
Unbelievable that Osso has fixed this bug. This is great work :)